{
  "name": "fxboot-ui",
  "version": "0.1.0",
  "private": true,
  "license": "ISC",
  "packageManager": "pnpm@9.7.0",
  "scripts": {
    "dev": "vite",
    "build": "vite optimize && vite build",
    "type-check": "vite optimize && vue-tsc --noEmit --project tsconfig.json --strict",
    "serve": "vite preview",
    "prepare": "husky install",
    "commit": "npx cz-customizable",
    "cz": "npx cz-customizable"
  },
  "dependencies": {
    "@icon-park/vue-next": "^1.4.2",
    "@vueuse/core": "^9.13.0",
    "axios": "^1.6.8",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.3",
    "decimal.js": "^10.4.3",
    "encryptlong": "^3.1.4",
    "jsencrypt": "^3.2.1",
    "lodash": "^4.17.21",
    "pinia": "~2.0.14",
    "qs": "~6.10.1",
    "vue": "~3.2.37",
    "vue-router": "~4.0.16",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@arco-design/web-vue": "~2.55.1",
    "@commitlint/cli": "~17.3.0",
    "@commitlint/config-conventional": "~17.3.0",
    "@iconify/json": "^2.2.144",
    "@types/lodash": "^4.14.180",
    "@types/node": "~16.11.11",
    "@typescript-eslint/eslint-plugin": "~4.33.0",
    "@typescript-eslint/parser": "~4.33.0",
    "@vitejs/plugin-vue": "^3.0.0",
    "@vitejs/plugin-vue-jsx": "^2.0.0",
    "autoprefixer": "^10.4.13",
    "crco": "2.9.14",
    "cz-customizable": "~7.0.0",
    "eslint": "~7.32.0",
    "eslint-config-airbnb-base": "~14.2.1",
    "eslint-config-prettier": "~8.3.0",
    "eslint-plugin-import": "~2.25.3",
    "eslint-plugin-prettier": "~4.0.0",
    "eslint-plugin-vue": "~7.20.0",
    "husky": "~8.0.2",
    "less": "^4.1.2",
    "lint-staged": "~12.3.7",
    "postcss": "^8.4.21",
    "prettier": "~2.6.0",
    "prettier-plugin-tailwindcss": "^0.2.4",
    "sass": "~1.49.9",
    "tailwindcss": "^3.2.7",
    "terser": "^5.14.2",
    "typescript": "~4.4.4",
    "unplugin-auto-import": "^0.16.7",
    "unplugin-vue-components": "^0.25.2",
    "vite": "^3.0.0",
    "vite-plugin-compression": "^0.5.1",
    "vue-tsc": "~0.3.0"
  },
  "lint-staged": {
    "*.{vue,js,jsx,ts,tsx}": "eslint --fix"
  }
}
